# Uses of Interface
org.eclipse.birt.report.model.api.metadata.IClassInfo

Packages that use IClassInfo
Package
Description
org.eclipse.birt.report.model.api.metadata
Defines the elements, properties, types, structures and slots in the Report Object Model.
org.eclipse.birt.report.model.api.scripts

## Uses of IClassInfo in org.eclipse.birt.report.model.api.metadata

Classes in org.eclipse.birt.report.model.api.metadata that implement IClassInfo
Modifier and Type
Class
Description
`class`
`ClassInfo`
Represents the script object definition.
Methods in org.eclipse.birt.report.model.api.metadata that return IClassInfo
Modifier and Type
Method
Description
`IClassInfo`
IMetaDataDictionary.`getClass(String name)`
Returns the class definition given the class name.
`IClassInfo`
IMethodInfo.`getClassReturnType()`
Returns the script type for return.
`IClassInfo`
MethodInfo.`getClassReturnType()`
`IClassInfo`
ArgumentInfo.`getClassType()`
Returns the class type of this argument.
`IClassInfo`
IArgumentInfo.`getClassType()`
Returns the argument type in Class.
`IClassInfo`
IMemberInfo.`getClassType()`
Returns the member type in Class.
`IClassInfo`
MemberInfo.`getClassType()`
Methods in org.eclipse.birt.report.model.api.metadata that return types with arguments of type IClassInfo
Modifier and Type
Method
Description
`List<IClassInfo>`
IMetaDataDictionary.`getClasses()`
Returns the class list.

## Uses of IClassInfo in org.eclipse.birt.report.model.api.scripts

Classes in org.eclipse.birt.report.model.api.scripts that implement IClassInfo
Modifier and Type
Class
Description
`class`
`ClassInfo`
Represents the script object definition.
Methods in org.eclipse.birt.report.model.api.scripts that return IClassInfo
Modifier and Type
Method
Description
`IClassInfo`
ScriptableClassInfo.`getClass(String className)`
Returns the scriptable class information for the given class full name.
`IClassInfo`
ConstructorInfo.`getClassReturnType()`
`IClassInfo`
MethodInfo.`getClassReturnType()`
`IClassInfo`
ArgumentInfo.`getClassType()`
Returns the class type of this argument.
`IClassInfo`
MemberInfo.`getClassType()`
`IClassInfo`
IScriptableObjectClassInfo.`getScriptableClass(String className)`
Returns the class information for the given class name.